using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OcadMapLibrary {

	/*public class MapDrawingPoint : MapPoint {

		public bool IsCurvePoint {
			get {
				if (IsFirstCurvePoint || IsSecondCurvePoint) {
					return true;
				}
				return false;
			}
		}

		bool isFirstCurvePoint;
		public bool IsFirstCurvePoint {
			get {
				return isFirstCurvePoint;
			}
			set {
				isFirstCurvePoint = value;
			}
		}

		bool isSecondCurvePoint;
		public bool IsSecondCurvePoint {
			get {
				return isSecondCurvePoint;
			}
			set {
				isSecondCurvePoint = value;
			}
		}

		bool isFirstHolePoint;
		public bool IsFirstHolePoint {
			get {
				return isFirstHolePoint;
			}
			set {
				isFirstHolePoint = value;
			}
		}

		bool isCornerPoint;
		public bool IsCornerPoint {
			get {
				return isCornerPoint;
			}
			set {
				isCornerPoint = value;
			}
		}

		bool isLeftStroked;
		public bool IsLeftStroked {
			get {
				return isLeftStroked;
			}
			set {
				isLeftStroked = value;
			}
		}

		bool isRightStroked;
		public bool IsRightStroked {
			get {
				return isRightStroked;
			}
			set {
				isRightStroked = value;
			}
		}

		bool isDashPoint;
		public bool IsDashPoint {
			get {
				return isDashPoint;
			}
			set {
				isDashPoint = value;
			}
		}

	}*/

}
